# OpcuaEndpoint

## `nodeId` (string)

String of the exact location of the endpoint. Either nodeId or browsePath are required. A nodeId value is encoded as an xs:string with the syntax `ns=<namespaceIndex>;<type>=<value>`. The fields have the following meaning: `<namespaceIndex>` is an integer number such as 0 or 10, denoting the namespace. `<type>` is a flag that specifies the identifier type and can be: `i` for numeric (integer), `s` for string, `g` for guid, or `b` for opaque (byte string). `<value>` is the identifier itself, encoded as a string and in the format according to the identifierType. Examples of nodeIds: `i=13` , `ns=10;i=-1` , `ns=10;s=Hello:World` . See also <https://reference.opcfoundation.org/v104/Core/docs/Part6/5.3.1> section 5.3.1.10

Examples: `"i=2258"`, `"ns=2;s=StepUp"`

## `browsePath` (string)

String containing the relative path to the endpoint. Either `nodeId` or `browsePath` are required.

Examples: `"0:CurrentTime"`, `"2:StepUp"`

## `nodeType` (string, enum)

The node type: Whether the node is a variable, object or method. For methods, this property is mendatory.

This element must be one of the following enum values:

* `Object`
* `Variable`
* `Method`

## `fields` (array)

array of browsenames to variables defined in the Eventtype

The object is an array with all elements of the type `string`.

Additional restrictions:

* Unique items: `true`

## `eventTypes` (array)

lists node ids of OPC UA defined eventtypes in the server namespace as nodeId definition strings

The object is an array with all elements of the type `string`.

Additional restrictions:

* Unique items: `true`

## `browsePathPrefix` (string)

Optional, can be used to set a prefix for the browsePath. Both strings will be concatenated using a forward slash /.

## `publishInterval` (integer)

Time interval (in milliseconds) in which the server should publish its node values within the subscription (but in any case the actual value updates are published usually only on change of values).

Default: `1000`

## `samplingInterval` (integer)

Time interval (in milliseconds) in which the published values from the server should be sampled for a particular node subscription. All nodes (=monitored items) with the same samplingInterval will be combined into one monitored item group.

Default: `1000`

## `maxNotificationsPerPublish` (integer)

Sets the maximum number of monitor notifications that are in a single publish message of the OPC UA subscription. Setting this to a lower value will lead to more network traffic.

Default: `100`

## `priority` (integer)

Default: `10`

## `requestedLifetimeCount` (integer)

Default: `30`

## `requestedMaxKeepAliveCount` (integer)

Default: `10`

## `retryMonitorTimeout` (integer)

Default: `300000`

Additional restrictions:

* Minimum: `10000`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/1-9-0/documentation/industry-protocol-details/opc-ua/opc-ua-client/opcuaendpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
